NTPSNMPD(1)

NAME
ntpsnmpd - NTP SNMP MIB agent

SYNOPSIS
ntpsnmpd [-flag [value]]... [--opt-name [[=| ]value]]...

All arguments must be options.

DESCRIPTION
This manual page briefly documents the ntpsnmpd command. Its description is not documented.

OPTIONS

-n, --nofork
    Do not fork.

-p, --syslog
    Log to syslog().

--agentxsocket=string
    The socket address ntpsnmpd uses to connect to net-snmpd. The default string for this option is:
     unix:/var/agentx/master

    [<transport-specifier>:]<transport-address> The default is the Unix Domain socket "unix:/var/agentx/master". Another common alternative is tcp:localhost:705.

-?, --help
    Display extended usage information and exit.

-!, --more-help
    Extended usage information passed thru pager.

-> [rcfile], --save-opts[=rcfile]
    Save the option state to rcfile. The default is the last configuration file listed in the OPTION PRESETS section, below.

-< rcfile, --load-opts=rcfile, --no-load-opts
    Load options from rcfile. The no-load-opts form will disable the loading of earlier RC/INI files. --no-load-opts is handled early, out of order.

- [{v|c|n}], --version[={v|c|n}]
    Output version of program and exit. The default mode is `v', a simple version. The `c' mode will print copyright information and `n' will print the full copyright notice.

OPTION PRESETS
Any option that is not marked as not presettable may be preset by loading values from configuration ("RC" or ".INI") file(s) and values from environment variables named:
  NTPSNMPD_<option-name> or NTPSNMPD
The environmental presets take precedence (are processed later than) the configuration files. The homerc files are "$HOME", and ".". If any of these are directories, then the file .ntprc is searched for within those directories.

AUTHOR
David L. Mills and/or others
Please send bug reports to: http://bugs.ntp.org, bugs@ntp.org

see html/copyright.html

This manual page was AutoGen-erated from the ntpsnmpd option definitions.